GenericContainerReader (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class GenericContainerReader

- java.lang.Object
- - tv.amwa.maj.io.mxf.GenericContainerReader

-     public class GenericContainerReader
      extends Object

  Reads data from an MXF file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `GenericContainerReader.GenericContainerReadHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericContainerReader(MXFFileImpl file)`
    `GenericContainerReader(MXFFileImpl file, GenericContainerReader.GenericContainerReadHandler defaultHandler, GenericContainerReader.GenericContainerReadHandler fillerHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getFileOffset()`
    `long` | `getStreamOffset()`
    `boolean` | `handleData(KLVObject object)`
    `boolean` | `readFromFile()`
    `boolean` | `readFromFile(boolean singleKLV)`
    `boolean` | `readFromFile(long filePosition, long streamPosition)`
    `boolean` | `readFromFile(long filePosition, long streamPosition, boolean singleKLV)`
    `void` | `setDataHandler(int trackNumber, GenericContainerReader.GenericContainerReadHandler dataHandler)`
    `void` | `setDefaultHandler(GenericContainerReader.GenericContainerReadHandler defaultHandler)`
    `void` | `setEncryptionHandler(GenericContainerReader.GenericContainerReadHandler encryptionHandler)`
    `void` | `setFillerHandler(GenericContainerReader.GenericContainerReadHandler fillerHandler)`
    `void` | `setStreamOffset(long streamOffset)`
    `void` | `stopReading()`
    `void` | `stopReading(boolean pushBackKLV)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericContainerReader

          public GenericContainerReader(MXFFileImpl file,
                                        GenericContainerReader.GenericContainerReadHandler defaultHandler,
                                        GenericContainerReader.GenericContainerReadHandler fillerHandler)

    - #### GenericContainerReader

          public GenericContainerReader(MXFFileImpl file)

  - ### Method Detail

    - #### setDefaultHandler

          public void setDefaultHandler(GenericContainerReader.GenericContainerReadHandler defaultHandler)

    - #### setFillerHandler

          public void setFillerHandler(GenericContainerReader.GenericContainerReadHandler fillerHandler)

    - #### setEncryptionHandler

          public void setEncryptionHandler(GenericContainerReader.GenericContainerReadHandler encryptionHandler)

    - #### setDataHandler

          public void setDataHandler(@UInt32
                                     int trackNumber,
                                     GenericContainerReader.GenericContainerReadHandler dataHandler)

    - #### readFromFile

          public boolean readFromFile(@MXFPosition
                                      long filePosition,
                                      @MXFPosition
                                      long streamPosition,
                                      boolean singleKLV)

    - #### readFromFile

          public boolean readFromFile(@MXFPosition
                                      long filePosition,
                                      @MXFPosition
                                      long streamPosition)

    - #### readFromFile

          public boolean readFromFile(boolean singleKLV)

    - #### readFromFile

          public boolean readFromFile()

    - #### setStreamOffset

          public void setStreamOffset(@MXFPosition
                                      long streamOffset)

    - #### getFileOffset

          @MXFPosition
          public long getFileOffset()

    - #### handleData

          public boolean handleData(KLVObject object)

    - #### stopReading

          public void stopReading(boolean pushBackKLV)

    - #### stopReading

          public void stopReading()

    - #### getStreamOffset

          @MXFPosition
          public long getStreamOffset()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.